VELVET(1fe)

NAME
velvet - X11 based Finite ELemenT design and analysis

SYNOPSIS
velvet [-toolkitoption] [-sensitive] [+sensitive] [-numbers] [+numbers] [-nodeColor color] [-elementColor color] [-toolColor color] [-labelFont font] [-toolFont font] [-nocpp] [-cpp filename] [-Dname[=value]] [-Uname] [-Idirectory] [filename]

DESCRIPTION
Velvet is an X11 based finite element design and analysis package based on the felt(1fe) tool and the felt(4fe) input file syntax (velvet is smoother than felt). If filename exists then it will be loaded upon startup. Velvet attempts to locate a saved parameter file upon loading an input file. A saved parameter file has a common prefix with filename but a ".vlv" extension. If filename does not exist or is absent then velvet will start with an empty problem with the appropriate name. Details of the mathematics and user interface can be found in the user's guide.

OPTIONS
In addition to any standard toolkit option, velvet accepts the following options:

-sensitive
    Enable sensitive/insensitive menu switching. Velvet has two major modes of operation, normal mode and edit mode. Each mode allows only certain operations to be performed. This option allows disabling of the menus controlling the inactive operations. This is the default behavior but may be inappropriate on a slow server. Associated resource: *sensitiveMenus.

+sensitive
    Disable sensitive/insensitive menu switching. Associated resource: *sensitiveMenus.

-numbers
    Enable node and element numbering. This is the default behavior. Associated resource: *numbers.

+numbers
    Disable node and element numbering. Associated resource: *numbers.

-nodeColor color
    Sets the color of nodes and node numbers. The default color is "blue". Associated resource: *nodeColor.

-elementColor color
    Sets the color of elements and element numbers. The default color is "black". Associated resource: *elementColor.

-toolColor color
    Sets the color of tools (rectangles, lines, circles) and interactive windows. The default color is "red". Associated resource: *toolColor.

-labelFont font
    Sets the font used for node and element numbers. The default font is "5x8". Associated resource: *labelFont.

-toolFont font
    Sets the font used for text drawn using the tools. The default font is "fg-22". Associated resource: *toolFont.

-nocpp
    Do not use a preprocessor on the input file.

-cpp filename
    Use filename as a preprocessor on the input file. The default preprocessor is "/lib/cpp". Any preprocssor which understands the -D, -U, and -I options can be used as these options are passed to the preprocessor.

WIDGETS
In order to specify resources, it is useful to know the hierarchy of the widgets which compose velvet. The application defaults files contain (for the most part) fully qualified resource names and should be consulted if the resources are to be changed.

AUTHOR
Velvet was developed by Jason I. Gobat (jgobat@mit.edu) and Darren C. Atkinson (atkinson@ucsd.edu).

SEE ALSO
corduroy(1fe), felt(1fe), burlap(1fe), felt(4fe).